starknet_getTransactionByHash

Returns information about a transaction by transaction hash.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Object NameRequiredTypeDetail
TRANSACTION HASHStringA hex code of an integer that represents the hash of a transaction.
"params": [
    "0x41edf6779c1b4278043ed5b45542b2f1c19c525ff8c6341b399e5d70dcae2e8"
]

Result

A transaction object.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "starknet_getTransactionByHash",
    "params": [
        "0x41edf6779c1b4278043ed5b45542b2f1c19c525ff8c6341b399e5d70dcae2e8"
    ],
    "id": 1
}'

Return

{
    "jsonrpc": "2.0",
    "result": {
        "type": "INVOKE",
        "version": "0x0",
        "transaction_hash": "0x41edf6779c1b4278043ed5b45542b2f1c19c525ff8c6341b399e5d70dcae2e8",
        "max_fee": "0x0",
        "signature": [],
        "nonce": "0x0",
        "contract_address": "0x20fcc331a5b0389520ce5f9812ee1b6ccaeb64ea9b250ab59b4609b48269834",
        "entry_point_selector": "0x3d7905601c217734671143d457f0db37f7f8883112abd34b92c4abfeafde0c3",
        "calldata": [
            "0x38c0613a48987290b7df88a41be4279ac87009a7fbc9b3d67d86cc9555dfb47",
            "0xa8fc89b2efbc82c223e6beb8f07607bec441ac7488f1145b2cd15b04be6ce2"
        ]
    },
    "id": 1
}
Path Params
string
required
Defaults to 8aaf885beba8418cbf4e6788083e1f9e
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"starknet_syncing","params": [],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json